import "../ui/index.mjs";
import VxeTableComponent from "./src/table.mjs";
import { useCellView } from "./src/use/cell-view.mjs";
import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
const VxeTable = Object.assign({}, VxeTableComponent, {
  install(app) {
    app.component(VxeTableComponent.name, VxeTableComponent);
  }
});
const tableHandle = {
  useCellView
};
if (VxeUI.dynamicApp) {
  VxeUI.dynamicApp.component(VxeTableComponent.name, VxeTableComponent);
}
VxeUI.component(VxeTableComponent);
VxeUI.tableHandle = tableHandle;
export {
  VxeTable,
  VxeTable as default
};
